Skip to main content
Platform Operations/Platform Misc
GETPlatformSince 1.0SynchronousAuth Required

ListAPIVersions

List all supported API versions with their lifecycle status and sunset dates.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of API version entries

    Example: (nested array)

    • versionString

      API version string (e.g. v1, v2)

      Example: v1

    • statusString

      Lifecycle status of this API version (stable, deprecated, sunset)

      Example: stable

    • sunsetDateString

      Date when this API version will be sunset (ISO 8601)

      Example: 2026-12-31

    • changelogUrlString

      URL to the changelog for this version

      Example: https://docs.example.com/changelog/v1

  • totalInteger

    Total number of versions

    Example: 2

  • limitInteger

    Maximum number of items per page

    Example: 20

  • offsetInteger

    Number of items skipped

    Example: 20

Endpoint

GET/api/v1/versions

/api/v1/versions

Operation ID

ListAPIVersions

Permalink

Request Example

curl -X GET '{host}/api/v1/versions' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 2,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history